Type to search.

Get feature usage information

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.0 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges monitor manage

Path parameters

node_id union string | string[] optional

A comma-separated list of node IDs or names to limit the returned information. Use _local to return information from the node you're connecting to, leave empty to get information from all nodes.

Leave it out to use /_nodes/usage.

metric union enum | enum[] optional

Limits the information returned to the specific metrics. A comma-separated list of the following options: _all, rest_actions, aggregations.

Supported values include: _all, rest_actions, aggregations

Leave it out to use /_nodes/usage.

Values: _all rest_actions aggregations

Query parameters

timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
cluster_name string required
nodes map string to object required
<string> object
rest_actions map string to number required

The total number of times each REST endpoint has been called on this node since the last restart. Note that the REST endpoint names are not considered stable.

since number required

The timestamp for when the collection of these statistics started.

timestamp number required

The timestamp for when these statistics were collected.

aggregations map string to object required

The total number of times search aggregations have been called on this node since the last restart.